Bug 52553 - Trouble getting latest MPlayer to use DGA mode
Trouble getting latest MPlayer to use DGA mode
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-24 19:32 EDT by Michael St. Laurent
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 22:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config-4 (2.25 KB, text/plain)
2001-08-27 18:43 EDT, Michael St. Laurent
no flags Details
XFree86.0.log (21.13 KB, text/plain)
2001-08-27 18:44 EDT, Michael St. Laurent
no flags Details
neomagic DGA fix patch (586 bytes, patch)
2001-11-05 14:54 EST, Michael St. Laurent
no flags Details | Diff

  None (edit)
Description Michael St. Laurent 2001-08-24 19:32:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I'm compiled the latest CVS version of MPlayer on the second roswell 
release and cannot get it to display anything but a blank screen when 
switching to DGA mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile and Install MPlayer
2.
3.
	

Additional info:
Comment 1 Mike A. Harris 2001-08-25 13:42:48 EDT
DGA implementation is hardware dependant.  Please provide more information
as to the exact hardware you are using.  Also attach a copy of your
XFree86 log, and your XF86Config-4 config file uncompressed using the
link below.
Comment 2 Mike A. Harris 2001-08-25 13:44:03 EDT
Also, did this _ever_ work?  If so, which XFree86 release(s) did it work
on, and was it the same video hardware you're using now as back then?
Comment 3 Michael St. Laurent 2001-08-27 18:37:42 EDT
I've not tried it on any other release version.  The system is a Gateway Solo 
2500 with the NeoMagic 128XD chipset with 2MB RAM.
Comment 4 Michael St. Laurent 2001-08-27 18:43:05 EDT
Created attachment 29794 [details]
XF86Config-4
Comment 5 Michael St. Laurent 2001-08-27 18:44:18 EDT
Created attachment 29795 [details]
XFree86.0.log
Comment 6 Michael St. Laurent 2001-09-10 17:21:53 EDT
Further investigation indicates that there is a bug in the neomagic driver that 
is causing this problem.  A patch is making its way into the CVS version of 
XFree86 to correct it.  The patch is as follows:

Index: xc/programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c
===================================================================
RCS 
file: /home/CVS/XFree86/xc/programs/Xserver/hw/xfree86/drivers/neomagic/neo_driv
er.c,v
retrieving revision 1.56
diff -u -r1.56 neo_driver.c
--- xc/programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c
	2001/08/07 07:04:48	1.56
+++ xc/programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c
	2001/08/30 16:34:34
@@ -2156,8 +2156,8 @@
     /*
      * This function handles restoring the generic VGA registers.  */
     vgaHWRestore(pScrn, VgaReg,
-		 VGA_SR_MODE | VGA_SR_CMAP 
-		 | (restoreFonts ? VGA_SR_FONTS : 0));
+		 VGA_SR_MODE
+		 | (restoreFonts ? (VGA_SR_FONTS | VGA_SR_CMAP) : 0));
 
     VGAwGR(0x0E, restore->ExtCRTDispAddr);
     VGAwGR(0x0F, restore->ExtCRTOffset);
Comment 7 Michael St. Laurent 2001-09-28 16:32:07 EDT
Will this patch be incorporated into the RedHat version of XFree86 soon?
Comment 8 Mike A. Harris 2001-11-01 08:35:25 EST
If you attach the patch as a file attachment, I will add it to the
next build I make.  Cut and pasted patches are always badly broken.

Comment 9 Mike A. Harris 2001-11-05 08:24:17 EST
As stated above, this is fixed in upstream XFree86 CVS.  It
will appear in a future release of Red Hat Linux.
Comment 10 Michael St. Laurent 2001-11-05 14:51:17 EST
OK, here is the patch in an attachment.
Comment 11 Michael St. Laurent 2001-11-05 14:54:33 EST
Created attachment 36501 [details]
neomagic DGA fix patch
Comment 12 Mike A. Harris 2001-11-05 22:42:14 EST
Added to XFree86-4.1.0-6.0.1, will appear in 4.1.0-7 test release
on ftp://people.redhat.com/mharris/testing/bleeding-edge
sometime this week.  If this works ok, it will appear in any
future erratum that may be released.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.